﻿using Syncfusion.UI.Xaml.Grid;
using Syncfusion.UI.Xaml.Grid.Cells;
using Syncfusion.UI.Xaml.Grid.Helpers;
using Syncfusion.Windows.Shared;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ComboBoxColumnsDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : ChromelessWindow
    {
        public MainWindow()
        {
            InitializeComponent();

            this.sfdatagrid.EditTrigger = EditTrigger.OnDoubleTap;
            this.sfdatagrid.CellRenderers.Remove("ComboBox");
            this.sfdatagrid.CellRenderers.Add("ComboBox", new GridCellComboBoxRendererExt());            
            this.sfdatagrid.CellTapped += sfdatagrid_CellTapped;
        }

        void sfdatagrid_CellTapped(object sender, GridCellTappedEventArgs e)
        {
            if (sfdatagrid.SelectionController.CurrentCellManager.CurrentRowColumnIndex != e.RowColumnIndex 
                && sfdatagrid.SelectionController.CurrentCellManager.CurrentCell.Renderer is GridCellComboBoxRendererExt)
            {
                var comboBox = (sfdatagrid.SelectionController.CurrentCellManager.CurrentCell.Renderer as GridCellComboBoxRendererExt).CurrentCellRendererElement as ComboBox;
                if (comboBox != null)
                {
                    //Activate the tapped cell to end the editing of the combo box cell.
                    sfdatagrid.MoveCurrentCell(e.RowColumnIndex);
                }
            }
        }
    }

    public class GridCellComboBoxRendererExt : GridCellComboBoxRenderer
    {
        protected override void OnEditElementLoaded(object sender, System.Windows.RoutedEventArgs e)
        {            
            base.OnEditElementLoaded(sender, e);
            var combobox = sender as ComboBox;
            combobox.IsDropDownOpen = true;            
        }
    }
}
